#pragma once

#include <GL/gl.h>
#include <GL/glu.h>
#include "SDL.h"

#include <string>
using namespace std;

enum FILTER { NEAREST, LINEAR, MIPMAP };

class Image
{
public:
	bool LoadBitmap(string fileName, FILTER filter);
	
	void Bind();
	void UnBind();

private:
	GLuint m_texture;
};
