#include "player.h"

Player::Player()
{

}

Player::~Player()
{
	ClearMeeples();
}

void Player::ClearMeeples()
{
	for(unsigned i=0;i<m_meeples.size();i++)
		delete m_meeples[i];

	m_meeples.clear();	
}

void Player::SetupMeeples()
{
	ClearMeeples();

	for(int i=0;i<NumOfMeeples;i++) {
		Meeple *pMeeple = new Meeple(this);
		m_meeples.push_back(pMeeple);
	}
}

int Player::NumOfFreeMeeples()
{
	int nFree = NumOfMeeples;
	for(int i=0;i<NumOfMeeples;i++)
		if(m_meeples[i]->IsOccupied())
			nFree--;

	return nFree;
}

Meeple *Player::GetFreeMeeple()
{
	for(int i=0;i<NumOfMeeples;i++)
		if(!m_meeples[i]->IsOccupied())
			return m_meeples[i];

	return 0;
}
